Summary:	XFree86-VidMode X extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X XFree86-VidMode
Name:		xorg-lib-libXxf86vm
Version:	1.1.3
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86vm-%{version}.tar.bz2
# Source0-md5:	e46f6ee4f4567349a3189044fe1bb712
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-xf86vidmodeproto-devel >= 2.2.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86-VidMode X extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-VidMode.

%package devel
Summary:	Header files for libXxf86vm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXxf86vm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-xf86vidmodeproto-devel >= 2.2.99.1

%description devel
XFree86-VidMode X extension library.

This package contains the header files needed to develop programs that
use libXxf86vm.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-VidMode.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXxf86vm.

%package static
Summary:	Static libXxf86vm library
Summary(pl.UTF-8):	Biblioteka statyczna libXxf86vm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XFree86-VidMode X extension library.

This package contains the static libXxf86vm library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-VidMode.

Pakiet zawiera statyczną bibliotekę libXxf86vm.

%prep
%setup -q -n libXxf86vm-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# there's no man3x in pld
grep -rl man3x $RPM_BUILD_ROOT%{_mandir}/man3/* | xargs %{__sed} -i -e 's,man3x,man3,'

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXxf86vm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXxf86vm.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXxf86vm.so
%{_libdir}/libXxf86vm.la
%{_includedir}/X11/extensions/xf86vmode.h
%{_pkgconfigdir}/xxf86vm.pc
%{_mandir}/man3/XF86VM.3x*
%{_mandir}/man3/XF86VidMode*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXxf86vm.a
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXxf86vm.git;a=log;h=master

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 04143ce
- up to 1.1.3; fixes CVE-2013-2001

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> d9a5639
- updated to 1.1.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 13f6d42
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 5acaa3b
- updated to 1.1.1

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 31f1618
- rebuild
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> 999c7ee
- updated util-macros version and -devel deps
- more verbose files and descs, added README to doc

* Mon Oct 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 27ed9a1
- up to 1.1.0

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 61c9dd0
- up to 1.0.99.1

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ecd8873
- release 2

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 2931137
- ghost soname symlink

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 72b03da
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d7920c3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cb88b94
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f0d8a6
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0537c88
- rebuild

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a405bb7
- up to 1.0.1

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 84882a0
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 33a23d7
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 24c072e
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> d522675
- -devel desc fixes

